<h2 data-cy="OfferedItemCreateUpdateHeading" id="jhi-offered-item-heading" jhiTranslate="realTimeBeveragesApp.order.title">
  Offered Item erstellen oder bearbeiten
</h2>
@if (entity(); as entity) {
  <jhi-order-form
    [entity]="entity"
    [isEditing]="isEditing()"
    [order]="order()"
    (addOrPatchOrder)="addOrPatchOrder($event)"
    (abortOrder)="abortOrder()"
  />
}

<div class="table-responsive table-entities" id="entities">
  <table aria-describedby="page-heading" class="table table-striped">
    <thead>
      <tr jhiSort>
        <th jhiSortBy="name" scope="col">
          <div class="d-flex">
            <span jhiTranslate="realTimeBeveragesApp.offeredItem.name">Name</span>

            <fa-icon class="p-1" icon="sort"></fa-icon>
          </div>
        </th>
        <th jhiSortBy="totalPrice" scope="col">
          <div class="d-flex">
            <span jhiTranslate="realTimeBeveragesApp.order.amount">Menge</span>

            <fa-icon class="p-1" icon="sort"></fa-icon>
          </div>
        </th>
        <th jhiSortBy="price" scope="col">
          <div class="d-flex">
            <span jhiTranslate="realTimeBeveragesApp.order.unitPrice">Menge</span>

            <fa-icon class="p-1" icon="sort"></fa-icon>
          </div>
        </th>
        <th jhiSortBy="totalPrice" scope="col">
          <div class="d-flex">
            <span jhiTranslate="realTimeBeveragesApp.order.totalPrice">Gesamtpreis</span>

            <fa-icon class="p-1" icon="sort"></fa-icon>
          </div>
        </th>
        <th scope="col"></th>
      </tr>
    </thead>
    <tbody>
      @for (orderEntity of order(); track orderEntity.id) {
        <tr data-cy="entityTable">
          <td>{{ orderEntity.item?.name }}</td>
          <td>{{ orderEntity.amount }}</td>
          <td>{{ orderEntity.item?.price | currency: 'EUR' }}</td>
          <td>{{ orderEntity.amount! * orderEntity.item?.price! | currency: 'EUR' }}</td>
          <td class="text-end">
            <div class="btn-group">
              <button type="button" (click)="editEntity(orderEntity.id)" class="btn btn-primary btn-sm" data-cy="entityEditButton">
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Bearbeiten</span>
              </button>

              <button (click)="deleteEntity(orderEntity.id)" type="button" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Löschen</span>
              </button>
            </div>
          </td>
        </tr>
      }
    </tbody>
  </table>
</div>

<button (click)="addOrderEntity()" class="btn btn-primary" data-cy="entityCreateSaveButton" id="save-entity" type="button">
  <fa-icon icon="save"></fa-icon>
  <span jhiTranslate="realTimeBeveragesApp.order.addEntity"> Artikel hinzufügen </span>
</button>

<button (click)="addOrder()" class="btn btn-primary" data-cy="entityCreateSaveButton" id="add-order" type="submit">
  <fa-icon icon="save"></fa-icon>
  <span jhiTranslate="realTimeBeveragesApp.order.addOrder"> Order abschicken </span>
</button>
@if (orderConfirm()) {
  <span jhiTranslate="realTimeBeveragesApp.order.confirmOrder"> Order wurde erfolgreich hinzugefügt! </span>
}
